import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { ClaimCountOutputTypeCountServiceLinesArgsObjectSchema as ClaimCountOutputTypeCountServiceLinesArgsObjectSchema } from './ClaimCountOutputTypeCountServiceLinesArgs.schema';
import { ClaimCountOutputTypeCountClaimFilesArgsObjectSchema as ClaimCountOutputTypeCountClaimFilesArgsObjectSchema } from './ClaimCountOutputTypeCountClaimFilesArgs.schema'

const makeSchema = () => z.object({
  serviceLines: z.union([z.boolean(), z.lazy(() => ClaimCountOutputTypeCountServiceLinesArgsObjectSchema)]).optional(),
  claimFiles: z.union([z.boolean(), z.lazy(() => ClaimCountOutputTypeCountClaimFilesArgsObjectSchema)]).optional()
}).strict();
export const ClaimCountOutputTypeSelectObjectSchema: z.ZodType<Prisma.ClaimCountOutputTypeSelect> = makeSchema() as unknown as z.ZodType<Prisma.ClaimCountOutputTypeSelect>;
export const ClaimCountOutputTypeSelectObjectZodSchema = makeSchema();
